2017-05-01 02:19 ACST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000632GCC - GNU C CompilerBugpublic2014-12-27 09:22
Reporterkomh 
Assigned Topsmedley 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000632: gcc491 with -static
DescriptionHi/2.

If executing gcc491 with -static without -o, then ld fails due to -static-o.

And if executing gcc491 with -static with -o, then ld fails due to undefined sysmbols.

This is true for gcc335. I opened a ticket at klibc, and attached patches. If possible, would you mind reviewing and applying the patches ?

kLIBC ticket: http://trac.netlabs.org/libc/ticket/318
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002921

psmedley (administrator)

per Knut's comments, this breaches licenses, hence is deliberately made difficult...

~0002929

komh (reporter)

But -static-o problem was fixed. Possible ?

~0002930

psmedley (administrator)

yes, pretty sure I fixed static-o - the fix might even be in GCC 4.9.2 already

~0002935

komh (reporter)

Sorry, I don't use gcc492. It missed some headers. For this, I sent you an email before. Will it be fixed, too ?

~0002960

psmedley (administrator)

Fixed in 4.9.2
+Notes

-Issue History
Date Modified Username Field Change
2014-10-25 16:16 komh New Issue
2014-12-16 19:29 psmedley Note Added: 0002921
2014-12-17 14:25 komh Note Added: 0002929
2014-12-17 14:38 psmedley Note Added: 0002930
2014-12-18 13:27 komh Note Added: 0002935
2014-12-27 09:22 psmedley Note Added: 0002960
2014-12-27 09:22 psmedley Status new => resolved
2014-12-27 09:22 psmedley Resolution open => fixed
2014-12-27 09:22 psmedley Assigned To => psmedley
+Issue History